Text

React Bootstrap 5 Text component

Documentation and examples for common text utilities to control alignment, wrapping, weight, and more.


Text alignment

Easily realign text to components with text alignment classes. For left, right, and center alignment, responsive classes are available that use the same viewport width breakpoints as the grid system.

Start aligned text on all viewport sizes.

Center aligned text on all viewport sizes.

End aligned text on all viewport sizes.

Start aligned text on viewports sized SM (small) or wider.

Start aligned text on viewports sized MD (medium) or wider.

Start aligned text on viewports sized LG (large) or wider.

Start aligned text on viewports sized XL (extra-large) or wider.

        
            
          import React from 'react';
          
          export default function App() {
            return (
              <>
                <p className="text-start">Start aligned text on all viewport sizes.</p>
                <p className="text-center">Center aligned text on all viewport sizes.</p>
                <p className="text-end">End aligned text on all viewport sizes.</p>
    
                <p className="text-sm-start">Start aligned text on viewports sized SM (small) or wider.</p>
                <p className="text-md-start">Start aligned text on viewports sized MD (medium) or wider.</p>
                <p className="text-lg-start">Start aligned text on viewports sized LG (large) or wider.</p>
                <p className="text-xl-start">Start aligned text on viewports sized XL (extra-large) or wider.</p>
              </>
            );
          }
          
        
    

Note: We don’t provide utility classes for justified text. While, aesthetically, justified text might look more appealing, it does make word-spacing more random and therefore harder to read.


Text wrapping and overflow

Wrap text with a .text-wrap class.

This text should wrap.
        
            
          import React from 'react';
          
          export default function App() {
            return <div className="badge bg-primary text-wrap" style={{width: "6rem"}}>This text should wrap.</div>;
          }
          
        
    

Prevent text from wrapping with a .text-nowrap class.

This text should overflow the parent.
        
            
          import React from 'react';
          
          export default function App() {
            return (
              <div className="text-nowrap bd-highlight" style={{width: "8rem"}}>
                This text should overflow the parent.
              </div>
            );
          }
          
        
    

Word break

Prevent long strings of text from breaking your components’ layout by using .text-break to set word-wrap: break-word and word-break: break-word. We use word-wrap instead of the more common overflow-wrap for wider browser support, and add the deprecated word-break: break-word to avoid issues with flex containers.

mmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmm

        
            
          import React from 'react';
          
          export default function App() {
            return (
              <p className="text-break">
                mmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmm
              </p>
            );
          }
          
        
    

Text transform

Transform text in components with text capitalization classes.

Lowercased text.

Uppercased text.

CapiTaliZed text.

        
            
          import React from 'react';
          
          export default function App() {
            return (
              <>
                <p className="text-lowercase">Lowercased text.</p>
                <p className="text-uppercase">Uppercased text.</p>
                <p className="text-capitalize">CapiTaliZed text.</p>
              </>
            );
          }
          
        
    

Note how .text-capitalize only changes the first letter of each word, leaving the case of any other letters unaffected.


Font size

Quickly change the font-size of text. While our heading classes (e.g., .h1–.h6) apply font-size, font-weight, and line-height, these utilities only apply font-size. Sizing for these utilities matches HTML’s heading elements, so as the number increases, their size decreases.

.fs-1 text

.fs-2 text

.fs-3 text

.fs-4 text

.fs-5 text

.fs-6 text

        
            
          import React from 'react';
          
          export default function App() {
            return (
              <>
                <p className="fs-1">.fs-1 text</p>
                <p className="fs-2">.fs-2 text</p>
                <p className="fs-3">.fs-3 text</p>
                <p className="fs-4">.fs-4 text</p>
                <p className="fs-5">.fs-5 text</p>
                <p className="fs-6">.fs-6 text</p>
              </>
            );
          }
          
        
    

Customize your available font-sizes by modifying the $font-sizes Sass map.

        
            
            $font-sizes: (
              1: $h1-font-size,
              2: $h2-font-size,
              3: $h3-font-size,
              4: $h4-font-size,
              5: $h5-font-size,
              6: $h6-font-size,
            );
          
        
    

Font weight and italics

Quickly change the weight (boldness) of text or italicize text.

Bold text.

Bolder weight text (relative to the parent element).

Normal weight text.

Light weight text.

Lighter weight text (relative to the parent element).

Italic text.

Text with normal font style

        
            
          import React from 'react';
          
          export default function App() {
            return (
              <>
                <p className="fw-bold">Bold text.</p>
                <p className="fw-bolder">Bolder weight text (relative to the parent element).</p>
                <p className="fw-normal">Normal weight text.</p>
                <p className="fw-light">Light weight text.</p>
                <p className="fw-lighter">Lighter weight text (relative to the parent element).</p>
                <p className="fst-italic">Italic text.</p>
                <p className="fst-normal">Text with normal font style</p>
              </>
            );
          }
          
        
    

Line height

Change the line height with .lh-* utilities.

Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec sed odio dui. Cras mattis pannenkoek purus sit amet fermentum. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Nullam id dolor id nibh ultricies vehicula ut id elit. Cras mattis consectetur purus sit amet fermentum.

Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec sed odio dui. Cras mattis pannenkoek purus sit amet fermentum. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Nullam id dolor id nibh ultricies vehicula ut id elit. Cras mattis consectetur purus sit amet fermentum.

Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec sed odio dui. Cras mattis pannenkoek purus sit amet fermentum. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Nullam id dolor id nibh ultricies vehicula ut id elit. Cras mattis consectetur purus sit amet fermentum.

Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec sed odio dui. Cras mattis pannenkoek purus sit amet fermentum. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Nullam id dolor id nibh ultricies vehicula ut id elit. Cras mattis consectetur purus sit amet fermentum.

        
            
          import React from 'react';
          
          export default function App() {
            return (
              <>
                <p className="lh-1">
                  Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec sed odio
                  dui. Cras mattis pannenkoek purus sit amet fermentum. Praesent commodo cursus magna,
                  vel scelerisque nisl consectetur et. Nullam id dolor id nibh ultricies vehicula ut id
                  elit. Cras mattis consectetur purus sit amet fermentum.
                </p>
                <p className="lh-sm">
                  Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec sed odio
                  dui. Cras mattis pannenkoek purus sit amet fermentum. Praesent commodo cursus magna,
                  vel scelerisque nisl consectetur et. Nullam id dolor id nibh ultricies vehicula ut id
                  elit. Cras mattis consectetur purus sit amet fermentum.
                </p>
                <p className="lh-base">
                  Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec sed odio
                  dui. Cras mattis pannenkoek purus sit amet fermentum. Praesent commodo cursus magna,
                  vel scelerisque nisl consectetur et. Nullam id dolor id nibh ultricies vehicula ut id
                  elit. Cras mattis consectetur purus sit amet fermentum.
                </p>
                <p className="lh-lg">
                  Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec sed odio
                  dui. Cras mattis pannenkoek purus sit amet fermentum. Praesent commodo cursus magna,
                  vel scelerisque nisl consectetur et. Nullam id dolor id nibh ultricies vehicula ut id
                  elit. Cras mattis consectetur purus sit amet fermentum.
                </p>
              </>
            );
          }
          
        
    

Monospace

Change a selection to our monospace font stack with .font-monospace.

This is in monospace

        
            
          import React from 'react';
          
          export default function App() {
            return (
              <p className="font-monospace">This is in monospace</p>
            );
          }
          
        
    

Reset color

Reset a text or link’s color with .text-reset, so that it inherits the color from its parent.

Muted text with a reset link.

        
            
          import React from 'react';
          
          export default function App() {
            return (
              <p className="text-muted">
                Muted text with a <a href="#" className="text-reset">reset link</a>.
              </p>     
            );
          }
          
        
    

Text decoration

Decorate text in components with text decoration classes.

This text has a line underneath it.

This text has a line going through it.

This link has its text decoration removed
        
            
          import React from 'react';
          
          export default function App() {
            return (
              <>
                <p className="text-decoration-underline">This text has a line underneath it.</p>
                <p className="text-decoration-line-through">This text has a line going through it.</p>
                <a href="#" className="text-decoration-none">This link has its text decoration removed</a>
              </>     
            );
          }

          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Text

Vue Bootstrap 5 Text

Documentation and examples for common text utilities to control alignment, wrapping, weight, and more.


Text alignment

Easily realign text to components with text alignment classes. For left, right, and center alignment, responsive classes are available that use the same viewport width breakpoints as the grid system.

Start aligned text on all viewport sizes.

Center aligned text on all viewport sizes.

End aligned text on all viewport sizes.

Start aligned text on viewports sized SM (small) or wider.

Start aligned text on viewports sized MD (medium) or wider.

Start aligned text on viewports sized LG (large) or wider.

Start aligned text on viewports sized XL (extra-large) or wider.

        
            
            <template>
              <p class="text-start">Start aligned text on all viewport sizes.</p>
              <p class="text-center">Center aligned text on all viewport sizes.</p>
              <p class="text-end">End aligned text on all viewport sizes.</p>
              <p class="text-sm-start">Start aligned text on viewports sized SM (small) or wider.</p>
              <p class="text-md-start">Start aligned text on viewports sized MD (medium) or wider.</p>
              <p class="text-lg-start">Start aligned text on viewports sized LG (large) or wider.</p>
              <p class="text-xl-start">
                Start aligned text on viewports sized XL (extra-large) or wider.
              </p>
            </template>
          
        
    

Note: We don’t provide utility classes for justified text. While, aesthetically, justified text might look more appealing, it does make word-spacing more random and therefore harder to read.


Text wrapping and overflow

Wrap text with a .text-wrap class.

This text should wrap.
        
            
            <template>
              <MDBBadge color="primary" class="text-wrap" style="width: 6rem">This text should wrap.</MDBBadge>
            </template>
          
        
    
        
            
            <script>
              import { MDBBadge } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBBadge
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBBadge } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Prevent text from wrapping with a .text-nowrap class.

This text should overflow the parent.
        
            
            <template>
              <div class="text-nowrap bd-highlight" style="width: 8rem">
                This text should overflow the parent.
              </div>
            </template>
          
        
    

Word break

Prevent long strings of text from breaking your components’ layout by using .text-break to set word-wrap: break-word and word-break: break-word. We use word-wrap instead of the more common overflow-wrap for wider browser support, and add the deprecated word-break: break-word to avoid issues with flex containers.

mmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmm

        
            
            <template>
              <p class="text-break">
                mmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmm
              </p>
            </template>
          
        
    

Text transform

Transform text in components with text capitalization classes.

Lowercased text.

Uppercased text.

CapiTaliZed text.

        
            
            <template>
              <p class="text-lowercase">Lowercased text.</p>
              <p class="text-uppercase">Uppercased text.</p>
              <p class="text-capitalize">CapiTaliZed text.</p>
            </template>
          
        
    

Note how .text-capitalize only changes the first letter of each word, leaving the case of any other letters unaffected.


Font size

Quickly change the font-size of text. While our heading classes (e.g., .h1–.h6) apply font-size, font-weight, and line-height, these utilities only apply font-size. Sizing for these utilities matches HTML’s heading elements, so as the number increases, their size decreases.

.fs-1 text

.fs-2 text

.fs-3 text

.fs-4 text

.fs-5 text

.fs-6 text

        
            
            <template>
              <p class="fs-1">.fs-1 text</p>
              <p class="fs-2">.fs-2 text</p>
              <p class="fs-3">.fs-3 text</p>
              <p class="fs-4">.fs-4 text</p>
              <p class="fs-5">.fs-5 text</p>
              <p class="fs-6">.fs-6 text</p>
            </template>
          
        
    

Customize your available font-sizes by modifying the $font-sizes Sass map.

        
            
          $font-sizes: (
            1: $h1-font-size,
            2: $h2-font-size,
            3: $h3-font-size,
            4: $h4-font-size,
            5: $h5-font-size,
            6: $h6-font-size,
          );
        
        
    

Font weight and italics

Quickly change the weight (boldness) of text or italicize text.

Bold text.

Bolder weight text (relative to the parent element).

Normal weight text.

Light weight text.

Lighter weight text (relative to the parent element).

Italic text.

Text with normal font style

        
            
            <template>
              <p class="fw-bold">Bold text.</p>
              <p class="fw-bolder">Bolder weight text (relative to the parent element).</p>
              <p class="fw-normal">Normal weight text.</p>
              <p class="fw-light">Light weight text.</p>
              <p class="fw-lighter">Lighter weight text (relative to the parent element).</p>
              <p class="fst-italic">Italic text.</p>
              <p class="fst-normal">Text with normal font style</p>
            </template>
          
        
    

Line height

Change the line height with .lh-* utilities.

Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec sed odio dui. Cras mattis pannenkoek purus sit amet fermentum. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Nullam id dolor id nibh ultricies vehicula ut id elit. Cras mattis consectetur purus sit amet fermentum.

Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec sed odio dui. Cras mattis pannenkoek purus sit amet fermentum. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Nullam id dolor id nibh ultricies vehicula ut id elit. Cras mattis consectetur purus sit amet fermentum.

Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec sed odio dui. Cras mattis pannenkoek purus sit amet fermentum. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Nullam id dolor id nibh ultricies vehicula ut id elit. Cras mattis consectetur purus sit amet fermentum.

Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec sed odio dui. Cras mattis pannenkoek purus sit amet fermentum. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Nullam id dolor id nibh ultricies vehicula ut id elit. Cras mattis consectetur purus sit amet fermentum.

        
            
            <template>
              <p class="lh-1">
                Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec sed odio
                dui. Cras mattis pannenkoek purus sit amet fermentum. Praesent commodo cursus magna,
                vel scelerisque nisl consectetur et. Nullam id dolor id nibh ultricies vehicula ut id
                elit. Cras mattis consectetur purus sit amet fermentum.
              </p>
              <p class="lh-sm">
                Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec sed odio
                dui. Cras mattis pannenkoek purus sit amet fermentum. Praesent commodo cursus magna,
                vel scelerisque nisl consectetur et. Nullam id dolor id nibh ultricies vehicula ut id
                elit. Cras mattis consectetur purus sit amet fermentum.
              </p>
              <p class="lh-base">
                Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec sed odio
                dui. Cras mattis pannenkoek purus sit amet fermentum. Praesent commodo cursus magna,
                vel scelerisque nisl consectetur et. Nullam id dolor id nibh ultricies vehicula ut id
                elit. Cras mattis consectetur purus sit amet fermentum.
              </p>
              <p class="lh-lg">
                Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec sed odio
                dui. Cras mattis pannenkoek purus sit amet fermentum. Praesent commodo cursus magna,
                vel scelerisque nisl consectetur et. Nullam id dolor id nibh ultricies vehicula ut id
                elit. Cras mattis consectetur purus sit amet fermentum.
              </p>
            </template>
          
        
    

Monospace

Change a selection to our monospace font stack with .font-monospace.

This is in monospace

        
            
            <template>
              <p class="font-monospace">This is in monospace</p>
            </template>
          
        
    

Reset color

Reset a text or link’s color with .text-reset, so that it inherits the color from its parent.

Muted text with a reset link.

        
            
            <template>
              <p class="text-muted">
                Muted text with a <a href="#" class="text-reset">reset link</a>.
              </p>
            </template>
          
        
    

Text decoration

Decorate text in components with text decoration classes.

This text has a line underneath it.

This text has a line going through it.

This link has its text decoration removed
        
            
            <template>
              <p class="text-decoration-underline">This text has a line underneath it.</p>
              <p class="text-decoration-line-through">This text has a line going through it.</p>
              <a href="#" class="text-decoration-none">This link has its text decoration removed</a>
            </template>
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!